# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_TShell Class Reference

`#include <PTopoDS_TShell.hxx>`

Inheritance diagram for PTopoDS_TShell:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_TShell ()
Standard_EXPORT TopAbs_ShapeEnum | ShapeType () const
| Returns the type as a term of the ShapeEnum enum : VERTEX, EDGE, WIRE, FACE, .... .
| PTopoDS_TShell (const Storage_stCONSTclCOM &a)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_TShell::PTopoDS_TShell | ( |  | ) |

PTopoDS_TShell::PTopoDS_TShell | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PTopoDS_TShell::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TShape.

Standard_EXPORT TopAbs_ShapeEnum PTopoDS_TShell::ShapeType | ( |  | ) | const`[virtual]`

| Implements PTopoDS_TShape.

The documentation for this class was generated from the following file:

- PTopoDS_TShell.hxx